<!---
/* *************************************************************** */
Author: 	
	PaperThin Inc.
	Dave Beckstrom
Name:
	manager_layout.cfm
Summary:
	Custom Script for the tabular layout for the media manager.
ADF App:
	pt_multimedia
Version:
	2.0
History:
	2010-04-29 - DMB - Created.
	2012-04-04 - MFC - Fix typo in script tag.
--->
<cfscript>
	// initialize some of the attributes variables
	typeid = attributes.typeid;
	prefix = attributes.prefix;
	formname = attributes.formname;
	currentValues = attributes.currentValues;

	if( not structKeyExists(currentValues, "docPath") )
		currentValues.docPath = "#request.subsiteCache[1].dir#uploads/";
	if( not structKeyExists(currentValues, "docTypes") )
		currentValues.docTypes = "";
</cfscript>

<cfoutput>
	<script type="text/javascript">
		fieldProperties['#typeid#'].paramFields = "#prefix#docPath,#prefix#docTypes";
		// allows this field to support the orange icon (copy down to label from field name)
		fieldProperties['#typeid#'].jsLabelUpdater = '#prefix#doLabel';
		// allows this field to have a common onSubmit Validator
		fieldProperties['#typeid#'].jsValidator = '#prefix#doValidate';
		// handling the copy label function
		function #prefix#doLabel(str)
		{
			document.#formname#.#prefix#label.value = str;
		}
		function #prefix#doValidate()
		{
			// go through each field and see if there is value
			if( document.getElementById('#prefix#docTypes').value.length == 0 )
			{
				alert('Please enter a value for Document Types');
				return false;
			}
			if( document.getElementById('#prefix#docPath').value.length == 0 )
			{
				alert('Please enter a value for Document Path');
				return false;
			}
			return true;
		}
	</script>

 <table>
	<tr>
		<td class="cs_dlgLabelSmall">Document Types:</td>
		<td class="cs_dlgLabelSmall"><input type="text" name="#prefix#docTypes" id="#prefix#docTypes" class="cs_dlgControl" value="#currentValues.docTypes#" size="60"><br/><span>Please enter a comma seperated list of document types allowed (i.e. doc,pdf,mp3 etc...)</span></td>
	</tr>
</table>

</cfoutput>